package graph;

public class EdgeLight{
	
	private int vertexTo;
	private int weight;
	
	public EdgeLight(int vertexTo, int weight){
		this.vertexTo = vertexTo;
		this.weight = weight;
	}

	public void setWeight(int weight) {
		this.weight = weight;
	}

	public int getWeight() {
		return weight;
	}

	public int getTo() {
		return vertexTo;
	}

	public Edge getEdge(int vertexFrom){
		return (new Edge(vertexFrom, this.vertexTo, this.weight));
	}
	
	public String toString(){
		return (Integer.toString(vertexTo) + "		" + Integer.toString(weight));	
	}
}
